using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ScoreCount : MonoBehaviour
{
    public StateMachine sM;
    public LifeSystem lS;
    public int diamondCatched = 0, maxDiamond;
    public Text HNb, DNb, DP, HP, TotalScore;
    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void DisplayScore()
    {
        HNb.text = lS.lifePoints.ToString();
        DNb.text = diamondCatched.ToString();
        DP.text = (diamondCatched * 100).ToString();
        HP.text = (lS.lifePoints * 1000).ToString();
        TotalScore.text = (diamondCatched * 100 + lS.lifePoints * 1000).ToString()+"/"+(3000+100*maxDiamond).ToString();
    }

}
